ru.bitel.bgbilling.modules.cerbercrypt.common.service

## Interface UserCardCopyService

- All Superinterfaces:
    LoggableService

      public interface UserCardCopyService
      extends LoggableService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteUserCardCopy(int id)`
    `java.util.List<UserCardCopy>` | `getUserCardCopyList(int uid)`
    `java.util.List<UserCardCopy>` | `getUserCardCopyListByDate(int uid, java.util.Date date)`
    `void` | `updateUserCardCopy(UserCardCopy ucc)`

    - ### Methods inherited from interface ru.bitel.common.model.LoggableService

      `logList`

- - ### Method Detail

    - #### getUserCardCopyList

          java.util.List<UserCardCopy> getUserCardCopyList(int uid)
                                                    throws ru.bitel.bgbilling.common.BGMessageException,
                                                           ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getUserCardCopyListByDate

          java.util.List<UserCardCopy> getUserCardCopyListByDate(int uid,
                                                                 java.util.Date date)
                                                          throws ru.bitel.bgbilling.common.BGMessageException,
                                                                 ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateUserCardCopy

          void updateUserCardCopy(UserCardCopy ucc)
                           throws ru.bitel.bgbilling.common.BGMessageException,
                                  ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteUserCardCopy

          void deleteUserCardCopy(int id)
                           throws ru.bitel.bgbilling.common.BGMessageException,
                                  ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGException`